=begin

Copyright 2004,2008 by Rick Wilson - all rights reserved

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Name :          SceneExporter
Description :   Export each scene to a jpg image
Author :        Rick Wilson
Usage :         1.	Install into the plugins directory or into the 
			Plugins/examples directory and manually load from the
			ruby console "load 'examples/sceneExporter.rb'" 
                2.	Select "Export scenes to JPG" from the View menu.
Date :          2008-07-10
History:
		Modified LM to Class. Moved to Plugins for use with shadow tools
		1.2 (2008-07-17) - Updated to allow an optional dialog box between scenes to overcome errors with static text
		1.1 (2008-07-10) - Updated to remove dialog box between scenes (SU v5 and up)
		1.0 (2005-01-20) - first version

=end

require 'sketchup.rb'
module RW_SceneExport
 
  unless file_loaded?( __FILE__ )
    menu = UI.menu( 'Plugins' )
    menu.add_item( 'Export scenes to PNG' ) { self.pagEx }
  end
def self.pagEx
	model = Sketchup.active_model
	pages = model.pages
	view = model.active_view
	
	original_page = pages.selected_page

	model.start_operation "ExportScenes"

	prompt = UI.messagebox("Prompt for each scene?\nAnswer \"Yes\" if you have screen text\nthat appears on several scenes", MB_YESNO,"SceneExporter")

	showtransitions = model.options["PageOptions"]["ShowTransition"]
	model.options["PageOptions"]["ShowTransition"] = false

	path = (model.path.sub(/.\.skp/,"-"))

	pages.each do |page|
		if page.name==page.label
			pn = path+(page.name.to_s)+".png"
			Sketchup.set_status_text("Writing #{pn}")
			pages.selected_page = page
			UI.messagebox("Exporting #{page.name}") if prompt==6
			view.write_image(pn,view.vpwidth,view.vpheight,true)
		end
	end

	pages.selected_page = original_page

	model.options["PageOptions"]["ShowTransition"] = showtransitions

	model.abort_operation

end
=begin 
***** RW code commented out ******
unless file_loaded?("exportscenes.rb")
	file_loaded("exportscenes.rb")
	add_separator_to_menu("View")
	UI.menu("View").add_item("Export scenes to PNG") { pagEx }
end
=end
 file_loaded( __FILE__ )
 
end # module